define({'ACI (Autonomy Content Infrastructure)':{d:'A technology layer that automates operations on unstructured information for cross-enterprise applications. ACI enables an automated and compatible business-to-business, peer-to-peer infrastructure.\n\nThe ACI allows enterprise applications to understand and process content that exists in unstructured formats, such as email, Web pages, Microsoft Office documents, and IBM Notes.',l:''},'ACI Server':{d:'A server component that runs on the Autonomy Content Infrastructure (ACI).',l:''},'ACL (access control list)':{d:'An ACL is metadata associated with a document that defines which users and groups are permitted to access the document.',l:''},'action':{d:'A request sent to an ACI server.',l:''},'active directory':{d:'A domain controller for the Microsoft Windows operating system, which uses LDAP to authenticate users and computers on a network.',l:''},'ANPR':{d:'Automatic Number Plate Recognition, which reads the number/license plate of a vehicle.',l:''},'Category component':{d:'The IDOL Server component that manages categorization and clustering.',l:''},'Community component':{d:'The IDOL Server component that manages users and communities.',l:''},'connector':{d:'An IDOL component (for example File System Connector) that retrieves information from a local or remote repository (for example, a file system, database, or Web site).',l:''},'Connector Framework Server (CFS)':{d:'Connector Framework Server processes the information that is retrieved by connectors. Connector Framework Server uses KeyView to extract document content and metadata from over 1,000 different file types. When the information has been processed, it is sent to an IDOL Server or Distributed Index Handler (DIH).',l:''},'Content component':{d:'The IDOL Server component that manages the data index and performs most of the search and retrieval operations from the index.',l:''},'DAH (Distributed Action Handler)':{d:'DAH distributes actions to multiple copies of IDOL Server or a component. It allows you to use failover, load balancing, or distributed content.',l:''},'DIH (Distributed Index Handler)':{d:'DIH allows you to efficiently split and index extremely large quantities of data into multiple copies of IDOL Server or the Content component. DIH allows you to create a scalable solution that delivers high performance and high availability. It provides a flexible way to batch, route, and categorize the indexing of internal and external content into IDOL Server.',l:''},'IDOL':{d:'The Intelligent Data Operating Layer (IDOL) Server, which integrates unstructured, semi-structured and structured information from multiple repositories through an understanding of the content. It delivers a real-time environment in which operations across applications and content are automated.',l:''},'IDOL Proxy component':{d:'An IDOL Server component that accepts incoming actions and distributes them to the appropriate subcomponent. IDOL Proxy also performs some maintenance operations to make sure that the subcomponents are running, and to start and stop them when necessary.',l:''},'integration':{d:'When Media Server finds the same object (for example, the same number plate) across multiple video frames, integration aggregates the results to help filter out occasional outliers (for example, if one of the characters on the number plate is read incorrectly in one of the frames).',l:''},'Intellectual Asset Protection System (IAS)':{d:'An integrated security solution to protect your data. At the front end, authentication checks that users are allowed to access the system that contains the result data. At the back end, entitlement checking and authentication combine to ensure that query results contain only documents that the user is allowed to see, from repositories that the user has permission to access. For more information, refer to the IDOL Document Security Administration Guide.',l:''},'KeyView':{d:'The IDOL component that extracts data, including text, metadata, and subfiles from over 1,000 different file types. KeyView can also convert documents to HTML format for viewing in a Web browser.',l:''},'language identification':{d:'The process of identifying the language or languages being spoken in audio.',l:''},'language model':{d:'A statistical model that captures word sequence patterns and probabilities. Sometimes you can improve the accuracy of speech-to-text by training a custom language model to supplement a language pack supplied by Micro Focus.',l:''},'language pack':{d:'A data file that is required to perform speech-to-text in a single language. Language packs can contain hundreds of megabytes of data, so are not supplied with Media Server but are available as separate downloads.',l:''},'LDAP':{d:'Lightweight Directory Access Protocol. Applications can use LDAP to retrieve information from a server. LDAP is used for directory services (such as corporate email and telephone directories) and user authentication.\n\nSee also: active directory, primary domain controller.',l:''},'License Server':{d:'License Server enables you to license and run multiple IDOL solutions. You must have a  License Server on a machine with a known, static IP address.',l:''},'OmniGroupServer (OGS)':{d:'A server that manages access permissions for your users. It communicates with your repositories and IDOL Server to apply access permissions to documents.',l:''},'perspective projection matrix':{d:'An array of twelve numbers that Media Server can use to convert locations in the scene image into real-world 3D coordinates.',l:''},'primary domain controller':{d:'A server computer in a Microsoft Windows domain that controls various computer resources.\n\nSee also: active directory, LDAP.',l:''},'record':{d:'A single package of metadata in a track. A record produced by an analysis task might describe a recognized face, a word spoken in the audio, or a number plate detected by ANPR. A record can contain a significant amount of information; for example a record describing a number plate includes timestamps describing when the number plate was detected, the position of the number plate in the video frame, the characters read from the number plate, the confidence score for recognition, and so on.',l:''},'rolling buffer':{d:'A fixed-size storage area on disk where you can save encoded video on a continuous basis. When the rolling buffer is full, the oldest content is discarded to make space for the latest.',l:''},'scene analysis':{d:'Scene analysis recognizes suspicious activity in video and produces alarms to alert security personnel. Scene analysis can be trained to recognize many suspicious events, including vehicles driving through red lights, people entering restricted areas, and abandoned bags and vehicles.',l:''},'speaker identification':{d:'The process of identifying known speakers in audio.',l:''},'speech-to-text':{d:'The process of converting spoken words, in a media file or stream, into text through speech recognition.',l:''},'track':{d:'A stream of data produced by a processing task in Media Server. For example, when you ingest video the ingest task produces two tracks: one for video frames and the other for audio packets. Other tasks use these tracks. Analysis tasks read the data and produce tracks that contain analysis results; encoding tasks take the video and audio data to write files to disk. See also record.',l:''},'transcript alignment':{d:'The process of assigning timestamps to the words in a transcript. Unlike speech-to-text, transcript alignment requires that you already have a transcript of the speech.',l:''},'View':{d:'An IDOL component that converts files in a repository to HTML formats for viewing in a Web browser.',l:''},'Wildcard':{d:'A character that stands in for any character or group of characters in a query.',l:''},'XML':{d:'Extensible Markup Language. XML is a language that defines the different attributes of document content in a format that can be read by humans and machines. In IDOL Server, you can index documents in XML format. IDOL Server also returns action responses in XML format.',l:''}});