define({"618":{y:0,u:"../Content/Actions/Training/_ObjectRecognition.htm",l:-1,t:"Object Recognition",i:0.000190088246742705,a:"This section describes the actions that you can use to train object recognition. Apart from  ListObjectDatabases ,  ListObjects , and  GetObjectImage , all of these actions are administrative actions. Administrative actions can be sent only by users who belong to an authorization role that allows ..."},"619":{y:0,u:"../Content/Actions/Training/AddObjectImages.htm",l:-1,t:"AddObjectImages",i:0.00125720540309874,a:" Adds training images to an object. Type: synchronous Example The following example adds training images to an object by specifying the paths of the images using the imagepath parameter: /action=AddObjectImages\u0026database=CompanyLogos\n                       ..."},"620":{y:0,u:"../Content/Actions/Training/AddObjectMetadata.htm",l:-1,t:"AddObjectMetadata",i:0.000443988586496981,a:"Adds custom metadata (a key-value pair) to an object. Type: synchronous Example The following example adds metadata to an object: /action=AddObjectMetadata\u0026database=CompanyLogos\n                         \u0026identifier=6d8e53fd92e601a4b8948e1b9397e381\n                         \u0026key=CompanyName\n           ..."},"621":{y:0,u:"../Content/Actions/Training/BuildAllObjects.htm",l:-1,t:"BuildAllObjects",i:0.000261125885361885,a:"Trains Media Server to recognize any objects that exist in its database and have incomplete or out-of-date training (any objects that have one or more images with a status of untrained). For example, you must re-train an object if you add new training images. Type: asynchronous Example ..."},"622":{y:0,u:"../Content/Actions/Training/BuildObject.htm",l:-1,t:"BuildObject",i:0.00287015677496242,a:"Trains Media Server to recognize an object. You can only run this action after creating an object (using the action  NewObject ) and adding suitable images (using the action  AddObjectImages ). Type: asynchronous Example /action=BuildObject\u0026database=CompanyLogos\u0026identifier=HewlettPackard Response ..."},"623":{y:0,u:"../Content/Actions/Training/CreateObjectDb.htm",l:-1,t:"CreateObjectDatabase",i:0.000393352618933718,a:"Creates a new, empty, database to store objects for object recognition. Type: synchronous Example The following example creates an empty database named CompanyLogos.  /action=CreateObjectDatabase\u0026database=CompanyLogos Response \u003cautnresponse\u003e\n  \u003caction\u003eCREATEOBJECTDATABASE\u003c/action\u003e\n  ..."},"624":{y:0,u:"../Content/Actions/Training/ExportObjectDatabase.htm",l:-1,t:"ExportObjectDatabase",i:0.000362339170522858,a:"Exports an object recognition database to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"logos\": /action=ExportObjectDatabase\u0026database=logos\n                            \u0026dbpath=./exported/logos.dat\n ..."},"625":{y:0,u:"../Content/Actions/Training/GetObjectImage.htm",l:-1,t:"GetObjectImage",i:0.000195858796467558,a:"Returns a training image associated with an object. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example curl http://localhost:14000/action=getobjectimage\n                            -F database=CompanyLogos\n                  ..."},"626":{y:0,u:"../Content/Actions/Training/ImportObjectDatabase.htm",l:-1,t:"ImportObjectDatabase",i:0.000195858796467558,a:"Imports an object database that was exported using the action  ExportObjectDatabase . Type: asynchronous Example The following example imports an object database from the file logos.dat in the current directory: curl http://host:14000/action=ImportObjectDatabase -F dbdata=@logos.dat Response This ..."},"627":{y:0,u:"../Content/Actions/Training/ListObjectDatabases.htm",l:-1,t:"ListObjectDatabases",i:0.000195858796467558,a:"Lists the databases that have been created to store objects for use with object recognition. Type: synchronous Example /action=ListObjectDatabases Response The response includes a list of databases, and the number of objects that exist in each database. \u003cautnresponse\u003e\n  ..."},"628":{y:0,u:"../Content/Actions/Training/ListObjects.htm",l:-1,t:"ListObjects",i:0.000195858796467558,a:"Returns a list of objects in a specified database. The action can also return information about the images, training options, and metadata associated with each object. Type: synchronous Example The following example lists up to 10 objects contained in the CompanyLogos database: ..."},"629":{y:0,u:"../Content/Actions/Training/MoveObject.htm",l:-1,t:"MoveObject",i:0.000195858796467558,a:"Moves an object from one database to another. Type: synchronous Example /action=MoveObject\u0026database=logos\n                  \u0026identifier=6600dc0f9dd72d0cb55589e8f1d28b62\n                  \u0026newdatabase=technology_logos Response \u003cautnresponse\u003e\n  \u003caction\u003eMOVEOBJECT\u003c/action\u003e\n  ..."},"630":{y:0,u:"../Content/Actions/Training/MoveObjectImage.htm",l:-1,t:"MoveObjectImage",i:0.000195858796467558,a:"Moves a training image from one object to another. Use this action if you add a training image to the wrong object. Moving training images can invalidate the training for the objects. Training is invalidated when you move images from or to a 3D object, or when the source and destination objects have ..."},"631":{y:0,u:"../Content/Actions/Training/NewObject.htm",l:-1,t:"NewObject",i:0.00139406334089788,a:"Inserts a new, empty, object into a database of objects. After adding a new object, you must add images of the object using the action  AddObjectImages . You can also set training attributes using the action  SetObjectTrainingOption . After adding images, train Media Server to recognize the object ..."},"632":{y:0,u:"../Content/Actions/Training/NullObjectImageData.htm",l:-1,t:"NullObjectImageData",i:0.000288114857544645,a:"Removes (deletes) images from an object, but does not remove the training generated from those images. This means that the object can still be recognized but the training images are no longer stored in the database. Removing the training images means that the training cannot be updated in future. If ..."},"633":{y:0,u:"../Content/Actions/Training/RelabelObjectImage.htm",l:-1,t:"RelabelObjectImage",i:0.000195858796467558,a:"Relabels an object image. Use this action to change the label for a training image that you have already added to an object. Type: synchronous Example /action=RelabelObjectImage\u0026database=CompanyLogos\n                          \u0026identifier=6600dc0f9dd72d0cb55589e8f1d28b62\n                          ..."},"634":{y:0,u:"../Content/Actions/Training/RemoveObject.htm",l:-1,t:"RemoveObject",i:0.000195858796467558,a:"Removes (deletes) an existing object. All training images and associated data are discarded. Type: synchronous Example /action=RemoveObject\u0026database=CompanyLogos\u0026identifier=HewlettPackard Response \u003cautnresponse\u003e\n  \u003caction\u003eREMOVEOBJECT\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"635":{y:0,u:"../Content/Actions/Training/RemoveObjectDb.htm",l:-1,t:"RemoveObjectDatabase",i:0.000195858796467558,a:"Removes (deletes) a database that stores objects. Type: synchronous Example The following example removes the database CompanyLogos. /action=RemoveObjectDatabase\u0026database=CompanyLogos Response \u003cautnresponse\u003e   \u003caction\u003eREMOVEOBJECTDATABASE\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"636":{y:0,u:"../Content/Actions/Training/RemoveObjectImages.htm",l:-1,t:"RemoveObjectImages",i:0.0004823773446648,a:"Removes training images from an object. After removing images from a three-dimensional object you must retrain Media Server by running the action  BuildObject . When you remove images from a three-dimensional object the remaining images for that object revert to the untrained status. Type: ..."},"637":{y:0,u:"../Content/Actions/Training/RemoveObjectMetadata.htm",l:-1,t:"RemoveObjectMetadata",i:0.000195858796467558,a:"Removes custom metadata (a key-value pair) from an object. Type: synchronous Example /action=RemoveObjectMetadata\u0026database=CompanyLogos\n                            \u0026identifier=6600dc0f9dd72d0cb55589e8f1d28b62\n                            \u0026key=BusinessSector Response \u003cautnresponse\u003e\n  ..."},"638":{y:0,u:"../Content/Actions/Training/RenameObject.htm",l:-1,t:"RenameObject",i:0.000195858796467558,a:"Renames an object. Use this action to change the identifier for an object that you have already added to a database. Type: synchronous Example /action=RenameObject\u0026database=CompanyLogos\n                    \u0026identifier=HP\n                    \u0026newidentifier=HewlettPackard Response \u003cautnresponse\u003e\n  ..."},"639":{y:0,u:"../Content/Actions/Training/RenameObjectDb.htm",l:-1,t:"RenameObjectDatabase",i:0.000195858796467558,a:"Renames a database that stores objects. Type: synchronous Example The following example renames the database CompanyLogos, using the new name SoftwareCompanyLogos. /action=RenameObjectDatabase\u0026database=CompanyLogos\u0026newdatabase=SoftwareCompanyLogos Response \u003cautnresponse\u003e\n  ..."},"640":{y:0,u:"../Content/Actions/Training/SetObjectTrainingOption.htm",l:-1,t:"SetObjectTrainingOption",i:0.000696621681648688,a:"Sets the value of a training option that is applied to an object. Training options configure how Media Server creates recognition models from the training images that you supply. You can set the following training options: Setting a training option invalidates all training associated with an object. ..."},"641":{y:0,u:"../Content/Actions/Training/SyncObjects.htm",l:-1,t:"SyncObjects",i:0.000550298513964775,a:"Forces Media Server to synchronize its object recognition training with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations until it has synchronized with the database. ..."},"642":{y:0,u:"../Content/Actions/Training/TrainObject.htm",l:-1,t:"TrainObject",i:0.000416999614314221,a:"Trains Media Server to recognize an object in one action. Running this action is equivalent to running the following actions in the following order: NewObject AddObjectImages SetObjectTrainingOption  (optional) AddObjectMetadata  (optional) BuildObject NullObjectImageData  (optional) This action is ..."},"643":{y:0,u:"../Content/Actions/Training/UnsetObjectTrainingOption.htm",l:-1,t:"UnsetObjectTrainingOption",i:0.000195858796467558,a:"Removes a training option that has been applied to an object. Following successful completion of this action the specified training option for the specified object will take the default value. Removing a training option invalidates all training associated with an object. After using this action, you ..."},"644":{y:0,u:"../Content/Actions/Training/UnsyncObjects.htm",l:-1,t:"UnsyncObjects",i:0.000195858796467558,a:"Removes all object recognition training from memory (this has no effect on the training database). After the training is removed from memory, object recognition does not return any results. You might want to do this  if you have a large amount of object data in your database but do not need to ..."},"645":{y:0,u:"../Content/Actions/Training/UpdateObjectMetadata.htm",l:-1,t:"UpdateObjectMetadata",i:0.000195858796467558,a:"Updates the value of a key-value pair in the custom metadata of an object. Type: synchronous Example /action=UpdateObjectMetadata\u0026database=CompanyLogos\n                            \u0026identifier=6d8e53fd92e601a4b8948e1b9397e381\n                            \u0026key=BusinessSector\n                            ..."},"646":{y:0,u:"../Content/Actions/Training/_SpeakerID.htm",l:-1,t:"Speaker Identification",i:0.000190088246742705,a:"This section describes the actions that you can use to train speaker identification. Apart from  ListSpeakerDatabases ,  ListSpeakers , and  ListUnknownSpeakerAudio  all of these actions are administrative actions. Administrative actions can be sent only by users who belong to an authorization role ..."},"647":{y:0,u:"../Content/Actions/Training/AddSpeakerAudio.htm",l:-1,t:"AddSpeakerAudio",i:0.00109025915707666,a:"Adds one or more audio samples to a speaker. You can use this action to add audio samples for training (with training=true) and for estimating thresholds (with training=false). You only need to add samples for estimating thresholds if the audio you want to process will contain unknown speakers who ..."},"648":{y:0,u:"../Content/Actions/Training/AddSpeakerMetadata.htm",l:-1,t:"AddSpeakerMetadata",i:0.000229298203130352,a:"Adds custom metadata (a key-value pair) to a speaker. Type: synchronous Example The following example adds metadata to a speaker: /action=AddSpeakerMetadata\u0026database=news\n                          \u0026identifier=JohnSmith\n                          \u0026key=category\n                          ..."},"649":{y:0,u:"../Content/Actions/Training/AddUnknownSpeakerAudio.htm",l:-1,t:"AddUnknownSpeakerAudio",i:0.00074855515172699,a:"Adds one or more audio samples that represent unknown speakers. You only need to provide audio samples that represent unknown speakers if you expect the audio you process to contain unknown speakers. An unknown speaker can be any speaker except someone you have trained in the same database (the ..."},"650":{y:0,u:"../Content/Actions/Training/BuildAllSpeakers.htm",l:-1,t:"BuildAllSpeakers",i:0.000319016370911576,a:"Trains Media Server to recognize any speakers that have not been trained. You cannot train a speaker until you have added audio samples for training (using the action  AddSpeakerAudio ). Type: asynchronous Example /action=BuildAllSpeakers\u0026database=news Response This action is asynchronous, so Media ..."},"651":{y:0,u:"../Content/Actions/Training/BuildSpeaker.htm",l:-1,t:"BuildSpeaker",i:0.000782379261704775,a:"Trains Media Server to recognize a speaker. You can only run this action after creating a speaker (using the action  NewSpeaker ) and adding audio samples for training (using the action  AddSpeakerAudio ). Type: asynchronous Example ..."},"652":{y:0,u:"../Content/Actions/Training/CreateSpeakerDatabase.htm",l:-1,t:"CreateSpeakerDatabase",i:0.000643283293138817,a:"Creates a new, empty, database to store speakers for speaker identification. Type: synchronous Example The following example creates an empty database named news, for use with 16kHz audio: /action=CreateSpeakerDatabase\u0026database=news\n                             \u0026samplefrequency=16000 Response ..."},"653":{y:0,u:"../Content/Actions/Training/EstimateAllSpeakerThresholds.htm",l:-1,t:"EstimateAllSpeakerThresholds",i:0.000497299511316459,a:"Calculates the thresholds that are necessary to distinguish between known and unknown speakers. You only need to run this action if the audio you want to process contains unknown speakers. Before running this action: Add and train all of your known speakers. Add a speaker with the action  NewSpeaker ..."},"654":{y:0,u:"../Content/Actions/Training/EstimateSpeakerThreshold.htm",l:-1,t:"EstimateSpeakerThreshold",i:0.000347104411746293,a:"Calculates the threshold that is necessary to distinguish between  a specified speaker and an unknown speaker. You only need to run this action if the audio you want to process contains unknown speakers. Before running this action: Add and train all of your known speakers. Add a speaker with the ..."},"655":{y:0,u:"../Content/Actions/Training/ExportSpeakerDatabase.htm",l:-1,t:"ExportSpeakerDatabase",i:0.000361627468423906,a:"Exports a speaker database to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"news\": /action=ExportSpeakerDatabase\u0026database=news\n                             \u0026dbpath=./exported/news.dat\n Response This ..."},"656":{y:0,u:"../Content/Actions/Training/GetSpeakerAudio.htm",l:-1,t:"GetSpeakerAudio",i:0.000195474093152567,a:"Returns an audio sample that is associated with a speaker. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example The following example downloads an audio sample and writes it to the file \"audio.wav\". curl ..."},"657":{y:0,u:"../Content/Actions/Training/GetUnknownSpeakerAudio.htm",l:-1,t:"GetUnknownSpeakerAudio",i:0.000195474093152567,a:"Returns an audio sample that represents an unknown speaker. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example The following example downloads an audio sample and writes it to the file \"audio.wav\". curl ..."},"658":{y:0,u:"../Content/Actions/Training/ImportSpeakerDatabase.htm",l:-1,t:"ImportSpeakerDatabase",i:0.000195474093152567,a:"Imports a speaker database that was exported using the action  ExportSpeakerDatabase . Type: asynchronous Example The following example imports a speaker database from the file news.dat in the current directory: curl http://host:14000/action=ImportSpeakerDatabase -F database=news -F dbdata=@news.dat ..."},"659":{y:0,u:"../Content/Actions/Training/ListSpeakerDatabases.htm",l:-1,t:"ListSpeakerDatabases",i:0.000195474093152567,a:"Lists the databases that have been created to store speakers for speaker identification. Type: synchronous Example /action=ListSpeakerDatabases Response The response includes a list of databases. The numentries element describes the number of speakers who have been added to the database. The ..."},"660":{y:0,u:"../Content/Actions/Training/ListSpeakers.htm",l:-1,t:"ListSpeakers",i:0.000278550780788237,a:"Returns a list of speakers in a specified database. The action can also return information about the audio samples associated with each speaker. Type: synchronous Example The following example lists the speakers in the news database. /action=ListSpeakers\u0026database=news\n                    ..."},"661":{y:0,u:"../Content/Actions/Training/ListUnknownSpeakerAudio.htm",l:-1,t:"ListUnknownSpeakerAudio",i:0.000195474093152567,a:"Returns a list of audio samples that were added to represent unknown speakers, for a specified database. Type: synchronous Example The following example lists the audio samples for unknown speakers in the news database. /action=ListUnknownSpeakerAudio\u0026database=news Response The following is an ..."},"662":{y:0,u:"../Content/Actions/Training/MoveSpeaker.htm",l:-1,t:"MoveSpeaker",i:0.000195474093152567,a:"Moves a speaker from one database to another. Moving a speaker between databases changes the audio that is available for calculating speaker thresholds. After moving a speaker you might want to recalculate the speaker thresholds by running the action  EstimateAllSpeakerThresholds  (on both ..."},"663":{y:0,u:"../Content/Actions/Training/NewSpeaker.htm",l:-1,t:"NewSpeaker",i:0.00105366192290125,a:"Adds a new speaker to a database of speakers. Type: synchronous Example The following example adds a speaker to the news database: /action=NewSpeaker\u0026database=news You can use the person\u0027s name as the identifier, but all identifiers must be unique within the database: ..."},"664":{y:0,u:"../Content/Actions/Training/NullSpeakerAudioData.htm",l:-1,t:"NullSpeakerAudioData",i:0.000229298203130352,a:"Removes (deletes) an audio sample from a speaker, but does not remove the training generated from the audio data. After running this action speakers can still be recognized but the audio cannot be retrieved from the database and cannot be used to retrain Media Server. If future versions of Media ..."},"665":{y:0,u:"../Content/Actions/Training/NullUnknownSpeakerAudioData.htm",l:-1,t:"NullUnknownSpeakerAudioData",i:0.000278550780788237,a:"Removes (deletes) an audio sample that represents an unknown speaker, but does not remove the training generated from the audio data. After running this action speakers can still be recognized but the audio cannot be retrieved from the database and cannot be used to retrain Media Server. If future ..."},"666":{y:0,u:"../Content/Actions/Training/RemoveSpeaker.htm",l:-1,t:"RemoveSpeaker",i:0.000195474093152567,a:"Removes (deletes) an existing speaker. All audio samples associated with the speaker are deleted. Type: synchronous Example /action=RemoveSpeaker\u0026database=news\u0026identifier=cdcd57b0881cf034bc77f3d2a5a3faea Response \u003cautnresponse\u003e\n  \u003caction\u003eREMOVESPEAKER\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"667":{y:0,u:"../Content/Actions/Training/RemoveSpeakerAudio.htm",l:-1,t:"RemoveSpeakerAudio",i:0.000390378053776794,a:"Removes (deletes) one or more audio samples from a speaker. Type: synchronous Example The following example removes the audio samples labeled sample1 and sample2 from the speaker JohnSmith in the database news. /action=RemoveSpeakerAudio\u0026database=news\n                          \u0026identifier=JohnSmith\n ..."},"668":{y:0,u:"../Content/Actions/Training/RemoveSpeakerDatabase.htm",l:-1,t:"RemoveSpeakerDatabase",i:0.000195474093152567,a:"Removes (deletes) a database that stores speakers for speaker identification. All of the audio samples contained in the specified database are deleted.  Type: synchronous Example The following example removes the database news. /action=RemoveSpeakerDatabase\u0026database=news Response \u003cautnresponse\u003e\n  ..."},"669":{y:0,u:"../Content/Actions/Training/RemoveSpeakerMetadata.htm",l:-1,t:"RemoveSpeakerMetadata",i:0.000195474093152567,a:"Removes custom metadata (a key-value pair) from a speaker. Type: synchronous Example /action=RemoveSpeakerMetadata\u0026database=news\n                             \u0026identifier=JohnSmith\n                             \u0026key=category Response \u003cautnresponse\u003e\n    \u003caction\u003eREMOVESPEAKERMETADATA\u003c/action\u003e\n    ..."},"670":{y:0,u:"../Content/Actions/Training/RemoveUnknownSpeakerAudio.htm",l:-1,t:"RemoveUnknownSpeakerAudio",i:0.000432242862997061,a:"Removes (deletes) audio samples that represent unknown speakers. Type: synchronous Example The following example removes two audio samples for unknown speakers from the database news: /action=RemoveUnknownSpeakerAudio\u0026database=news\n                                 \u0026audiolabels=sample1,sample2 ..."},"671":{y:0,u:"../Content/Actions/Training/RenameSpeaker.htm",l:-1,t:"RenameSpeaker",i:0.000195474093152567,a:"Renames a speaker. Use this action to change the identifier for a speaker that you have already added to a database. Type: synchronous Example /action=RenameSpeaker\u0026database=news\n                     \u0026identifier=a4a28eb52367f51057c9904807a9d564\n                     \u0026newidentifier=JohnSmith Response ..."},"672":{y:0,u:"../Content/Actions/Training/RenameSpeakerDatabase.htm",l:-1,t:"RenameSpeakerDatabase",i:0.000195474093152567,a:"Renames a database that stores speakers for speaker identification. Type: synchronous Example The following example renames the database news, using the new name newsbroadcasts. /action=RenameSpeakerDatabase\u0026database=news\u0026newdatabase=newsbroadcasts Response \u003cautnresponse\u003e\n  ..."},"673":{y:0,u:"../Content/Actions/Training/SetSpeakerThreshold.htm",l:-1,t:"SetSpeakerThreshold",i:0.000229298203130352,a:"Manually sets the threshold that is necessary to distinguish between a specified speaker and an unknown speaker. You can use this action to optimize the threshold for a speaker, to reduce the number of false positives or missed results. New speaker thresholds do not take effect until Media Server ..."},"674":{y:0,u:"../Content/Actions/Training/SyncSpeakers.htm",l:-1,t:"SyncSpeakers",i:0.000554604611117813,a:"Forces Media Server to synchronize its speaker identification training with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations until it has synchronized with the ..."},"675":{y:0,u:"../Content/Actions/Training/UpdateSpeakerMetadata.htm",l:-1,t:"UpdateSpeakerMetadata",i:0.000195474093152567,a:"Updates the value of a key-value pair in the custom metadata of a speaker. Type: synchronous Example /action=UpdateSpeakerMetadata\u0026database=news\n                             \u0026identifier=JohnSmith\n                             \u0026key=category\n                             \u0026newvalue=newsreaders Response ..."},"676":{y:0,u:"../Content/Actions/Training/_SpeechToText.htm",l:-1,t:"Speech to Text",i:0.000190088246742705,a:"This section describes the actions that you can use to train custom language models and custom word databases for speech-to-text. Apart from  AssessSpeechLanguageModel ,  ListCustomSpeechLanguageModels ,  ListCustomSpeechWordDatabases ,  ListCustomSpeechWords ,  ListSpeechLanguageResources , and  ..."},"677":{y:0,u:"../Content/Actions/Training/AssessSpeechLanguageModel.htm",l:-1,t:"AssessSpeechLanguageModel",i:0.000197782313042508,a:"The AssessSpeechLanguageModel action returns the perplexity and unknown word statistics for some input text. You can use this action to assess whether a language pack, combined with an optional custom language model, is suitable for processing your audio. The text that you use to assess the language ..."},"678":{y:0,u:"../Content/Actions/Training/CreateCustomSpeechWordDatabase.htm",l:-1,t:"CreateCustomSpeechWordDatabase",i:0.000197782313042508,a:"Creates a new, empty, database to store custom words for speech-to-text. Type: synchronous Example The following example creates an empty database named words: /action=CreateCustomSpeechWordDatabase\u0026database=words Response \u003cautnresponse\u003e\n  \u003caction\u003eCREATECUSTOMSPEECHWORDDATABASE\u003c/action\u003e\n  ..."},"679":{y:0,u:"../Content/Actions/Training/ExportCustomSpeechLanguageModel.htm",l:-1,t:"ExportCustomSpeechLanguageModel",i:0.000365897681017617,a:"Exports a custom language model to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the custom language model named \"MedicalTerms\": /action=ExportCustomSpeechLanguageModel\u0026identifier=MedicalTerms\n                          ..."},"680":{y:0,u:"../Content/Actions/Training/ExportCustomSpeechWordDatabase.htm",l:-1,t:"ExportCustomSpeechWordDatabase",i:0.000365897681017617,a:"Exports a custom speech word database to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"words\": /action=ExportCustomSpeechWordDatabase\u0026database=words\u0026dbpath=./exported/words.dat Response This action ..."},"681":{y:0,u:"../Content/Actions/Training/ImportCustomSpeechLanguageModel.htm",l:-1,t:"ImportCustomSpeechLanguageModel",i:0.000197782313042508,a:"Imports a custom language model that was exported using the action  ExportCustomSpeechLanguageModel . Type: asynchronous Example The following example imports a custom language model by specifying a file path: /action=ImportCustomSpeechLanguageModel\u0026identifier=MedicalTerms\n                           ..."},"682":{y:0,u:"../Content/Actions/Training/ImportCustomSpeechWordDatabase.htm",l:-1,t:"ImportCustomSpeechWordDatabase",i:0.000197782313042508,a:"Imports a custom speech word database that was exported using the action  ExportCustomSpeechWordDatabase . Type: asynchronous Example The following example imports a database from the file words.dat in the current directory: curl http://host:14000/action=ImportCustomSpeechWordDatabase -F ..."},"683":{y:0,u:"../Content/Actions/Training/ListCustomSpeechLanguageModels.htm",l:-1,t:"ListCustomSpeechLanguageModels",i:0.000423525861872945,a:"Lists the custom language models that are available. Type: synchronous Example /action=ListCustomSpeechLanguageModels Response The following XML is an example response that includes a single language model: \u003cautnresponse\u003e\n  \u003caction\u003eLISTCUSTOMSPEECHLANGUAGEMODELS\u003c/action\u003e\n  ..."},"684":{y:0,u:"../Content/Actions/Training/ListCustomSpeechWordDatabases.htm",l:-1,t:"ListCustomSpeechWordDatabases",i:0.000197782313042508,a:"Lists the databases that have been created to store custom words for speech-to-text. Type: synchronous Example /action=ListCustomSpeechWordDatabases Response The response includes a list of databases. The numentries element contains the number of words that have been added to the database. ..."},"685":{y:0,u:"../Content/Actions/Training/ListCustomSpeechWords.htm",l:-1,t:"ListCustomSpeechWords",i:0.000197782313042508,a:"Lists the words that have been added to a custom word database for speech-to-text. Type: synchronous Example /action=ListCustomSpeechWords\u0026database=words Response The following XML is an example response after a single word has been added to the custom word database: \u003cautnresponse\u003e\n  ..."},"686":{y:0,u:"../Content/Actions/Training/ListSpeechLanguageResources.htm",l:-1,t:"ListSpeechLanguageResources",i:0.000602923208124535,a:"Lists the language resources that you have loaded for speech-to-text processing. This action does not list resources that were loaded automatically by Media Server. Media Server automatically loads any resources that are needed to run speech-to-text, but you can load resources before sending a ..."},"687":{y:0,u:"../Content/Actions/Training/LoadSpeechLanguageResource.htm",l:-1,t:"LoadSpeechLanguageResource",i:0.000325903954843813,a:"Loads a language resource so that it is ready when you want to start processing. Ensure that the language pack, custom language models and interpolation weights, and custom word database that you specify in this action match the configuration of your speech-to-text task exactly. Media Server ..."},"688":{y:0,u:"../Content/Actions/Training/QuerySpeechLanguageModel.htm",l:-1,t:"QuerySpeechLanguageModel",i:0.000414180920111474,a:"The QuerySpeechLanguageModel action takes one or more words and returns whether those words are present in the vocabulary (produced from a combination of a base language pack and an optional custom language model). If a word is not present in the vocabulary then it is never returned during ..."},"689":{y:0,u:"../Content/Actions/Training/RemoveCustomSpeechLanguageModel.htm",l:-1,t:"RemoveCustomSpeechLanguageModel",i:0.000197782313042508,a:"Removes (deletes) a custom language model. All data contained in the specified custom language model is deleted.  Type: synchronous Example /action=RemoveCustomSpeechLanguageModel\u0026identifier=MedicalTerms Response The following XML is an example response: \u003cautnresponse\u003e\n  ..."},"690":{y:0,u:"../Content/Actions/Training/RemoveCustomSpeechWord.htm",l:-1,t:"RemoveCustomSpeechWord",i:0.000197782313042508,a:"Removes (deletes) a word from a custom word database for speech-to-text. Type: synchronous Example /action=RemoveCustomSpeechWord\u0026database=words\u0026word=AcmeSoft Response The following XML is an example response: \u003cautnresponse\u003e\n  \u003caction\u003eREMOVECUSTOMSPEECHWORD\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"691":{y:0,u:"../Content/Actions/Training/RemoveCustomSpeechWordDatabase.htm",l:-1,t:"RemoveCustomSpeechWordDatabase",i:0.000197782313042508,a:"Removes (deletes) a custom word database. All data contained in the specified database is deleted.  Type: synchronous Example /action=RemoveCustomSpeechWordDatabase\u0026database=words Response The following XML is an example response: \u003cautnresponse\u003e\n  \u003caction\u003eREMOVECUSTOMSPEECHWORDDATABASE\u003c/action\u003e\n  ..."},"692":{y:0,u:"../Content/Actions/Training/ScoreCustomSpeechLanguageModel.htm",l:-1,t:"ScoreCustomSpeechLanguageModel",i:0.000197782313042508,a:"Runs speech-to-text with a custom language model, compares the output to a transcript, and returns statistics about the accuracy. You can use this action to determine whether a custom language model needs further training or provides the accuracy that you require. To use this action you must supply: ..."},"693":{y:0,u:"../Content/Actions/Training/SyncCustomSpeechResources.htm",l:-1,t:"SyncCustomSpeechResources",i:0.000258033485163239,a:"Forces Media Server to synchronize speech-to-text resources (custom language models and custom word databases) with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations ..."},"694":{y:0,u:"../Content/Actions/Training/TrainCustomSpeechLanguageModel.htm",l:-1,t:"TrainCustomSpeechLanguageModel",i:0.000325903954843813,a:"Trains a new custom language model. Type: asynchronous Example The following example trains Media Server by sending the paths of files that contain the training text. The paths must be absolute, or relative to the Media Server executable file: curl http://localhost:14000 -F ..."},"695":{y:0,u:"../Content/Actions/Training/TrainCustomSpeechWord.htm",l:-1,t:"TrainCustomSpeechWord",i:0.000197782313042508,a:"Adds a word to a custom word database for speech-to-text. If the word already exists in the custom word database, this action overwrites the word. You can therefore use this action to change the associated base word and weight. Type: synchronous Example The following example adds the word \"AcmeSoft\" ..."},"696":{y:0,u:"../Content/Actions/Training/UnloadSpeechLanguageResource.htm",l:-1,t:"UnloadSpeechLanguageResource",i:0.000395158768163993,a:"Removes a language resource from memory. Type: synchronous Example /action=UnloadSpeechLanguageResource\u0026identifier=66e2899a64a21cef Response \u003cautnresponse\u003e\n  \u003caction\u003eUNLOADSPEECHLANGUAGERESOURCE\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  \u003cresponsedata\u003e\u003c/responsedata\u003e\n\u003c/autnresponse\u003e See Also To ..."},"697":{y:0,u:"../Content/Actions/Training/_VehicleModel.htm",l:-1,t:"Vehicle Model Recognition",i:0.000190088246742705,a:"This section describes the actions that you can use to train vehicle model recognition. Apart from  ListVehicleMakes ,  ListVehicleModelDatabases ,  ListVehicleModels , and  GetVehicleModelImage , all of these actions are administrative actions. Administrative actions can be sent only by users who ..."},"698":{y:0,u:"../Content/Actions/Training/AddVehicleModelImages.htm",l:-1,t:"AddVehicleModelImages",i:0.000666131460399599,a:" Adds training images to a vehicle model. Type: synchronous Example The following example adds a training image to a vehicle model by sending the image data: curl http://localhost:14000/action=AddVehicleModelImages -F database=Cars -F identifier=FordFocusRS -F imagedata=@focus-rs-front.png -F ..."},"699":{y:0,u:"../Content/Actions/Training/AddVehicleModelMetadata.htm",l:-1,t:"AddVehicleModelMetadata",i:0.000512405311224712,a:"Adds custom metadata (a key-value pair) to a vehicle model. Type: synchronous Example The following example adds metadata to a vehicle model: /action=AddVehicleModelMetadata\u0026database=Cars\n                               \u0026identifier=FordFocusRS\n                               \u0026key=type\n                 ..."},"700":{y:0,u:"../Content/Actions/Training/BuildAllVehicleModels.htm",l:-1,t:"BuildAllVehicleModels",i:0.000317430465103248,a:"Trains Media Server to recognize any vehicle models that exist in its database and have incomplete or out-of-date training (any vehicle models that have one or more images with a status of untrained). For example, you must re-train a vehicle model if you add new training images. Type: asynchronous ..."},"701":{y:0,u:"../Content/Actions/Training/BuildVehicleModel.htm",l:-1,t:"BuildVehicleModel",i:0.000751584476755841,a:"Trains Media Server to recognize a vehicle model. You can only run this action after creating a vehicle model (using the action  NewVehicleModel ), and adding suitable images (using the action  AddVehicleModelImages ). For a step-by-step guide that demonstrates how to train vehicle model ..."},"702":{y:0,u:"../Content/Actions/Training/CreateVehicleModelDatabase.htm",l:-1,t:"CreateVehicleModelDatabase",i:0.000311135895409636,a:"Creates a new, empty, database to store vehicle models for vehicle model recognition. Type: synchronous Example The following example creates an empty database named Cars.  /action=CreateVehicleModelDatabase\u0026database=Cars Response \u003cautnresponse\u003e\n  \u003caction\u003eCREATEVEHICLEMODELDATABASE\u003c/action\u003e\n  ..."},"703":{y:0,u:"../Content/Actions/Training/ExportVehicleModelDatabase.htm",l:-1,t:"ExportVehicleModelDatabase",i:0.000361971048747538,a:"Exports a database of vehicle models to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"cars\": /action=ExportVehicleModelDatabase\u0026database=cars\n                                  ..."},"704":{y:0,u:"../Content/Actions/Training/GetVehicleModelImage.htm",l:-1,t:"GetVehicleModelImage",i:0.000195659811994287,a:"Returns a training image associated with a vehicle model. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example curl http://localhost:14000/action=getvehiclemodelimage\n                            -F database=Cars\n              ..."},"705":{y:0,u:"../Content/Actions/Training/ImportVehicleModelDatabase.htm",l:-1,t:"ImportVehicleModelDatabase",i:0.000195659811994287,a:"Imports a vehicle model database that was exported using the action  ExportVehicleModelDatabase . Type: asynchronous Example The following example imports a database from the file cars.dat in the current directory: curl http://host:14000/action=ImportVehicleModelDatabase -F dbdata=@cars.dat Response ..."},"706":{y:0,u:"../Content/Actions/Training/ListVehicleMakes.htm",l:-1,t:"ListVehicleMakes",i:0.000513017938056984,a:"Lists the vehicle makes that Media Server has been pre-trained to recognize. Type: synchronous Example /action=ListVehicleMakes Response \u003cautnresponse\u003e\n  \u003caction\u003eLISTVEHICLEMAKES\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  \u003cresponsedata\u003e\n    \u003cvehiclemakes\u003e\n      \u003cmake\u003eAlpha Romeo\u003c/make\u003e\n      ..."},"707":{y:0,u:"../Content/Actions/Training/ListVehicleModelDatabases.htm",l:-1,t:"ListVehicleModelDatabases",i:0.000195659811994287,a:"Lists the databases that have been created to store vehicle models for use with vehicle model recognition. Type: synchronous Example /action=ListVehicleModelDatabases Response The response includes a list of databases, and the number of models that exist in each database. \u003cautnresponse\u003e\n  ..."},"708":{y:0,u:"../Content/Actions/Training/ListVehicleModels.htm",l:-1,t:"ListVehicleModels",i:0.000195659811994287,a:"Returns a list of vehicle models in a specified database. The action can also return information about the images and metadata associated with each vehicle model. Type: synchronous Example The following example lists up to 10 vehicle models contained in the Cars database: ..."},"709":{y:0,u:"../Content/Actions/Training/MoveVehicleModel.htm",l:-1,t:"MoveVehicleModel",i:0.000195659811994287,a:"Moves a vehicle model from one database to another. Type: synchronous Example /action=MoveVehicleModel\u0026database=cars\n                        \u0026identifier=6600dc0f9dd72d0cb55589e8f1d28b62\n                        \u0026newdatabase=vans      Response \u003cautnresponse\u003e\n  \u003caction\u003eMOVEVEHICLEMODEL\u003c/action\u003e\n  ..."},"710":{y:0,u:"../Content/Actions/Training/MoveVehicleModelImage.htm",l:-1,t:"MoveVehicleModelImage",i:0.000195659811994287,a:"Moves a training image from one vehicle model to another. Use this action if you add a training image to the wrong vehicle model. Type: synchronous Example /action=MoveVehicleModelImage\u0026database=Cars\n                             \u0026identifier=FordFocusRS\n                             ..."},"711":{y:0,u:"../Content/Actions/Training/NewVehicleModel.htm",l:-1,t:"NewVehicleModel",i:0.000815121811459492,a:"Inserts a new vehicle model into a database of vehicle models. This action does not add training images or metadata to the new model. Type: synchronous Example The following example adds a vehicle model to the Cars database. You can use the name of the vehicle model as the identifier. All ..."},"712":{y:0,u:"../Content/Actions/Training/NullVehicleModelImageData.htm",l:-1,t:"NullVehicleModelImageData",i:0.000264492865239034,a:"Removes (deletes) images from a vehicle model, but does not remove the training generated from those images. This means that the vehicle model can still be recognized but the training images are no longer stored in the database. Removing the training images means that the training cannot be updated ..."},"713":{y:0,u:"../Content/Actions/Training/RelabelVehicleModelImage.htm",l:-1,t:"RelabelVehicleModelImage",i:0.000195659811994287,a:"Relabels a vehicle model image. Use this action to change the label for a training image that you have already added to a vehicle model. Type: synchronous Example /action=RelabelVehicleModelImage\u0026database=Cars\n                                \u0026identifier=FordFocusRS\n                                ..."},"714":{y:0,u:"../Content/Actions/Training/RemoveVehicleModel.htm",l:-1,t:"RemoveVehicleModel",i:0.000195659811994287,a:"Removes (deletes) an existing vehicle model. All training images and associated data are discarded. Type: synchronous Example /action=RemoveVehicleModel\u0026database=Cars\u0026identifier=FordFocusRS Response \u003cautnresponse\u003e\n  \u003caction\u003eREMOVEVEHICLEMODEL\u003c/action\u003e\n  \u003cresponse\u003eSUCCESS\u003c/response\u003e\n  ..."},"715":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelDatabase.htm",l:-1,t:"RemoveVehicleModelDatabase",i:0.000195659811994287,a:"Removes (deletes) a database that stores vehicle models. All images and data contained in the specified database are deleted.  Type: synchronous Example The following example removes the database Cars. /action=RemoveVehicleModelDatabase\u0026database=Cars Response \u003cautnresponse\u003e   ..."},"716":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelImages.htm",l:-1,t:"RemoveVehicleModelImages",i:0.000453741607362738,a:"Removes training images from a vehicle model. Type: synchronous Example /action=RemoveVehicleModelImages\u0026database=Cars\n                                \u0026identifier=FordFocusRS\n                                \u0026imagelabels=image1,image2\n Response \u003cautnresponse\u003e\n  ..."},"717":{y:0,u:"../Content/Actions/Training/RemoveVehicleModelMetadata.htm",l:-1,t:"RemoveVehicleModelMetadata",i:0.000195659811994287,a:"Removes custom metadata (a key-value pair) from a vehicle model. Type: synchronous Example /action=RemoveVehicleModelMetadata\u0026database=Cars\n                                  \u0026identifier=FordFocusRS\n                                  \u0026key=generation Response \u003cautnresponse\u003e\n  ..."},"718":{y:0,u:"../Content/Actions/Training/RenameVehicleModel.htm",l:-1,t:"RenameVehicleModel",i:0.000195659811994287,a:"Renames a vehicle model. Use this action to change the identifier for a vehicle model that you have already added to a database. Type: synchronous Example /action=RenameVehicleModel\u0026database=Cars\n                          \u0026identifier=FordFocus\n                          \u0026newidentifier=FordFocusRS ..."},"719":{y:0,u:"../Content/Actions/Training/RenameVehicleModelDatabase.htm",l:-1,t:"RenameVehicleModelDatabase",i:0.000195659811994287,a:"Renames a database that stores vehicle models. Type: synchronous Example The following example renames the database Cars, using the new name EuropeanCars. /action=RenameVehicleModelDatabase\u0026database=Cars\u0026newdatabase=EuropeanCars Response \u003cautnresponse\u003e\n  \u003caction\u003eRENAMEVEHICLEMODELDATABASE\u003c/action\u003e\n  ..."},"720":{y:0,u:"../Content/Actions/Training/SetVehicleMake.htm",l:-1,t:"SetVehicleMake",i:0.000195659811994287,a:"Associates the vehicle model with a vehicle make. You must associate every vehicle model with a make (or with \"Unknown\"). Type: synchronous Example This example associates the vehicle model FordFocusRS with the make Ford: /action=SetVehicleMake\u0026database=Cars\n                      ..."},"721":{y:0,u:"../Content/Actions/Training/SetVehicleModelImageANPRLocation.htm",l:-1,t:"SetVehicleModelImageANPRLocation",i:0.000228922059344937,a:"Associates one or more number plate locations with a vehicle model training image. When you specify the number plate location you can provide an image that shows an entire vehicle, rather than providing a cropped image that shows only the vehicle\u0027s grille. Changing the number plate location that is ..."},"722":{y:0,u:"../Content/Actions/Training/SyncVehicleModels.htm",l:-1,t:"SyncVehicleModels",i:0.00056404646786646,a:"Forces Media Server to synchronize its vehicle model training with the latest data in the database. When you train Media Server, the  database is updated with new training data. However, Media Server does not use this training in analysis operations until it has synchronized with the database. Media ..."},"723":{y:0,u:"../Content/Actions/Training/TrainVehicleModel.htm",l:-1,t:"TrainVehicleModel",i:0.000334782890790139,a:"Trains Media Server to recognize a vehicle model in one action. Running this action is equivalent to running the following actions in the following order: NewVehicleModel AddVehicleModelImages AddVehicleModelMetadata  (optional) BuildVehicleModel NullVehicleModelImageData  (optional) This action is ..."},"724":{y:0,u:"../Content/Actions/Training/UnsyncVehicleModels.htm",l:-1,t:"UnsyncVehicleModels",i:0.000195659811994287,a:"Removes all vehicle model recognition training from memory (this has no effect on the training database). After the training is removed from memory, vehicle model recognition does not return any results. You might want to do this  if you have a large amount of vehicle model data in your database but ..."},"725":{y:0,u:"../Content/Actions/Training/UpdateVehicleModelMetadata.htm",l:-1,t:"UpdateVehicleModelMetadata",i:0.000195659811994287,a:"Updates the value of a key-value pair in the custom metadata of a vehicle model. Type: synchronous Example /action=UpdateVehicleModelMetadata\u0026database=Cars\n                                  \u0026identifier=FordFocusRS\n                                  \u0026key=generation\n                                  ..."},"726":{y:0,u:"../Content/Actions/Training/_VideoMatch.htm",l:-1,t:"Video Matching",i:0.000190088246742705,a:"This section describes the actions that you can use to train video matching. Apart from  ListVideoMatchDatabases  and  ListVideoMatchClips , all of these actions are administrative actions. Administrative actions can be sent only by users who belong to an authorization role that allows the Admin ..."},"727":{y:0,u:"../Content/Actions/Training/AddVideoMatchClipMetadata.htm",l:-1,t:"AddVideoMatchClipMetadata",i:0.000256906412219486,a:"Adds custom metadata (a key-value pair) to a video match clip. Type: synchronous Example The following example adds metadata to a clip: /action=AddVideoMatchClipMetadata\u0026database=movies\n                                 \u0026identifier=8b40bcf6232a9d3ce9614fd9debe896b\n                                 ..."},"728":{y:0,u:"../Content/Actions/Training/CreateVideoMatchDatabase.htm",l:-1,t:"CreateVideoMatchDatabase",i:0.000200186708761197,a:"Creates a new, empty, database to store training data for video matching. Type: synchronous Example The following example creates an empty database named movies.  /action=CreateVideoMatchDatabase\u0026database=movies Response \u003cautnresponse\u003e\n  \u003caction\u003eCREATEVIDEOMATCHDATABASE\u003c/action\u003e\n  ..."},"729":{y:0,u:"../Content/Actions/Training/ExportVideoMatchDatabase.htm",l:-1,t:"ExportVideoMatchDatabase",i:0.000370345819136065,a:"Exports a video match database to a file, so that it can be imported into a different training database. Type: asynchronous Example The following example exports the database named \"movies\": /action=ExportVideoMatchDatabase\u0026database=movies\n                                ..."},"730":{y:0,u:"../Content/Actions/Training/GetVideoMatchVideo.htm",l:-1,t:"GetVideoMatchVideo",i:0.000200186708761197,a:"Returns the video associated with a video match clip. The video is returned in whatever format was supplied. Type: synchronous You can also set the parameters  Output  and  FileName  to write the output of this action to a file. Example The following example downloads the video from a clip with the ..."},"731":{y:0,u:"../Content/Actions/Training/ImportVideoMatchDatabase.htm",l:-1,t:"ImportVideoMatchDatabase",i:0.000200186708761197,a:"Imports a video match database that was exported using the action  ExportVideoMatchDatabase . Type: asynchronous Example The following example imports a video match database from the file movies.dat in the current directory: curl http://host:14000/action=ImportVideoMatchDatabase -F database=movies ..."},"732":{y:0,u:"../Content/Actions/Training/ListVideoMatchClips.htm",l:-1,t:"ListVideoMatchClips",i:0.000200186708761197,a:"Returns a list of video clips in a specified database. Type: synchronous Example The following example lists up to 10 clips contained in the movies database: /action=ListVideoMatchClips\u0026database=movies\n                           \u0026start=1\n                           \u0026maxresults=10\n                     ..."},"733":{y:0,u:"../Content/Actions/Training/ListVideoMatchDatabases.htm",l:-1,t:"ListVideoMatchDatabases",i:0.000200186708761197,a:"Lists the databases that have been created for video matching. Type: synchronous Example /action=ListVideoMatchDatabases Response The response includes the following information for each database: database - the name of the database. numentries - the number of clips that have been added to the ..."},"734":{y:0,u:"../Content/Actions/Training/NullVideoMatchVideoData.htm",l:-1,t:"NullVideoMatchVideoData",i:0.000256906412219486,a:"Removes (deletes) the video from a video match clip, but does not remove the training generated from the video data. After running this action a video clip can still be recognized but the video cannot be retrieved from the database and cannot be used to retrain Media Server. If future versions of ..."},});